public class PhysicsLab {
   public static void main(String[] args) {
      if (args.length != 3)  {
        System.out.println("usage: java PhysicsLab <delta_time[s]> <end_time[s]> <sampling_time[s]>");
        System.exit(-1);
      }
      double deltaTime = Double.parseDouble(args[0]);    // [s]
      double endTime = Double.parseDouble(args[1]);      // [s]
      double samplingTime = Double.parseDouble(args[2]); // [s]
      MyWorld world = new MyWorld(System.out);
      
      Oscillator osc = new Oscillator(0.0, 0.25, 0.2);
      world.addElement(osc);
      Spring s = new Spring (1.0,1.0);
      world.addElement(s);
      s.attachEnd(osc);
      
      double mass = 1.0;      //  [kg] 
      double position = 0.5;  //  [m] 
      Ball b = new Ball(mass, position, 0);
      world.addElement(b);
      s.attachEnd(b);
      Dashpot d = new Dashpot(0.4);
      world.addElement(d);
      d.attachEnd(b);
      b = new Ball(mass, 2.0, 0);
      world.addElement(b);      
      d.attachEnd(b);
      s.attachEnd(b);
      world.simulate(deltaTime, endTime, samplingTime); // delta time[s], total simulation time [s].
   }
}